Subject: Re: bug#15382: desktop restores buffers in wrong order

From: martin rudalics <[email-masked]>
Date: Sun, 15 Sep 2013 18:10:18 +0200

> Another bug is that point of the top restored buffer
 > is placed to a wrong position because `desktop-saved-frameset'
 > saves point of one buffer (possibly non-persistent), but
 > after restoring the desktop, `window-state-put' restores that point
 > to another buffer (persistent and restored from the desktop file),
 > thus applying the value of point of one buffer to another buffer.

IIUC this can happen only if a buffer doesn't exist when restoring.  I
tried to address this issue in revision#114294.  Please have a look.

martin